You are probably using one of the official releases on an architecture it was not built for.


The avalanchego-linux-amd64-<release>.tar.gz is built for AMD64 (x86-64) architectures. Platforms based on ARM chips, like the Raspberry Pi or Graviton AWS instances, will not work with it. Instead, you need to download the avalanchego-linux-arm64-<release>.tar.gz version. Keep in mind, you need to use a 64-bit operating system.

To make things simpler, you may want to use the installer script which will pick the correct version for you.

Chat with Ava Labs | Validate on Avalanche | Build on Avalanche

Did this answer your question?